Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.tudelft.simulation.dsol.formalisms.dess
Class DifferentialEquation

    java.lang.Object
      nl.tudelft.simulation.event.EventProducer
          nl.tudelft.simulation.jstats.ode.DifferentialEquation
              nl.tudelft.simulation.dsol.formalisms.dess.DifferentialEquation

All Implemented Interfaces:
  nl.tudelft.simulation.jstats.ode.DifferentialEquationInterface, DifferentialEquationInterface, java.util.EventListener, nl.tudelft.simulation.event.EventListenerInterface, nl.tudelft.simulation.event.EventProducerInterface, java.io.Serializable

public abstract class DifferentialEquation
extends nl.tudelft.simulation.jstats.ode.DifferentialEquation
implements DifferentialEquationInterface, nl.tudelft.simulation.event.EventListenerInterface

The Differential equation provides a reference implementation of the differential equation.

(c) copyright 2003 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Since:
  1.0
Version:
  1.4 2004-03-26
Author:
  Peter Jacobs
See Also:
  Serialized Form

Field Summary
`protected double` | `previousX` the previousX
`protected double[]` | `previousY` the previousY
`protected DESSSimulatorInterface` | `simulator` simulator

Fields inherited from class nl.tudelft.simulation.jstats.ode.DifferentialEquation
`timeStep, x0, y0`

Fields inherited from class nl.tudelft.simulation.event.EventProducer
`listeners`

Fields inherited from interface nl.tudelft.simulation.dsol.formalisms.dess.DifferentialEquationInterface
`FUNCTION_CHANGED_EVENT, VALUE_CHANGED_EVENT`

Fields inherited from interface nl.tudelft.simulation.event.EventProducerInterface
`FIRST_POSITION, LAST_POSITION`

Constructor Summary
`DifferentialEquation(DESSSimulatorInterface simulator)` constructs a new stateful DifferentialEquation with Euleras numerical integration method.
`DifferentialEquation(DESSSimulatorInterface simulator, double timeStep)` constructs a new stateful DifferentialEquation with Euleras numerical integration method.
`DifferentialEquation(DESSSimulatorInterface simulator, double timeStep, nl.tudelft.simulation.jstats.ode.integrators.NumericalIntegrator numericalIntegrator)` constructs a new DifferentialEquation
`DifferentialEquation(DESSSimulatorInterface simulator, double timeStep, short numericalMethod)` constructs a new DifferentialEquation

Method Summary
`void` | `initialize(double x, double[] y)`
`void` | `notify(nl.tudelft.simulation.event.EventInterface event)`

Methods inherited from class nl.tudelft.simulation.jstats.ode.DifferentialEquation
`getIntegrator, integrateY, setIntegrator, y`

Methods inherited from class nl.tudelft.simulation.event.EventProducer
`addListener, addListener, addListener, addListener, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, getEventTypes, removeAllListeners, removeAllListeners, removeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface nl.tudelft.simulation.jstats.ode.DifferentialEquationInterface
`dy, y`

Field Detail

### simulator

    protected DESSSimulatorInterface simulator

  simulator

### previousX

    protected double previousX

  the previousX

### previousY

    protected double[] previousY

  the previousY

Constructor Detail

### DifferentialEquation

    public DifferentialEquation(DESSSimulatorInterface simulator)
                         throws java.rmi.RemoteException

  constructs a new stateful DifferentialEquation with Euleras numerical integration method.

Parameters:
  `simulator` - the simulator
Throws:
  `java.rmi.RemoteException` - on network exception

### DifferentialEquation

    public DifferentialEquation(DESSSimulatorInterface simulator,
                                double timeStep)

  constructs a new stateful DifferentialEquation with Euleras numerical integration method.

Parameters:
  `simulator` - the simulator
  `timeStep` - the timeStep for ODE estimation

### DifferentialEquation

    public DifferentialEquation(DESSSimulatorInterface simulator,
                                double timeStep,
                                short numericalMethod)

  constructs a new DifferentialEquation

Parameters:
  `simulator` - the simulator.
  `timeStep` - the timeStep for ODE estimation.
  `numericalMethod` - the numerical method to be used.

### DifferentialEquation

    public DifferentialEquation(DESSSimulatorInterface simulator,
                                double timeStep,
                                nl.tudelft.simulation.jstats.ode.integrators.NumericalIntegrator numericalIntegrator)

  constructs a new DifferentialEquation

Parameters:
  `simulator` - the simulator.
  `timeStep` - the timeStep for ODE estimation.
  `numericalIntegrator` - the actual integrator to be used.

Method Detail

### notify

    public void notify(nl.tudelft.simulation.event.EventInterface event)
                throws java.rmi.RemoteException

  Specified by:
    `notify` in interface `nl.tudelft.simulation.event.EventListenerInterface`
  Throws:
    `java.rmi.RemoteException`
  See Also:
    `EventListenerInterface.notify(EventInterface)`

### initialize

    public void initialize(double x,
                           double[] y)

  Specified by:
    `initialize` in interface `nl.tudelft.simulation.jstats.ode.DifferentialEquationInterface`
  See Also:
    `DifferentialEquationInterface.initialize(double, double[])`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 Delft University of Technology, the Netherlands. All Rights Reserved.